import React from 'react';
import {
    Route,
    Switch,
    Redirect
} from 'react-router-dom';

import {Dashboard} from './Dashboard';
import {Scheduling} from './Scheduling';

export const RoutedContent = () => {
    return (
        <Switch>
            <Redirect from="/" to="/" exact />
            <Route path="/dashboard" exact component={Dashboard} />
            <Route path="/scheduling" exact component={Scheduling} />
        </Switch>
    );
}