
class TMSSException(Exception):
    pass

class SchemaValidationException(TMSSException):
    pass

class ConversionException(TMSSException):
    pass

class BlueprintCreationException(ConversionException):
    pass

class SubtaskCreationException(ConversionException):
    pass

class SchedulingException(TMSSException):
    pass

class SubtaskSchedulingException(SchedulingException):
    pass

class TaskSchedulingException(SchedulingException):
    pass
